ppl (1:1.2-7) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop libppl-swi on sh4
  * Perform missing symlink_to_dir conversion for /usr/share/doc/package
    (Closes: #919899)

 -- James Clarke <jrtc27@debian.org>  Sun, 20 Jan 2019 16:48:25 +0000

ppl (1:1.2-6) unstable; urgency=medium

  * Team upload.
  * Disable swi-prolog bindings on architectures without swi-prolog

 -- James Clarke <jrtc27@debian.org>  Fri, 18 Jan 2019 20:42:29 +0000

ppl (1:1.2-5) unstable; urgency=medium

  * Team upload.
  * fix_latex_build.patch: Add missing final line to appease tools
  * Fix build on hurd-i386

 -- James Clarke <jrtc27@debian.org>  Fri, 18 Jan 2019 01:33:13 +0000

ppl (1:1.2-4) unstable; urgency=medium

  * Team upload.
  * fix_AC_CHECK_SWI_PROLOG.patch: New patch to fix build with swi-prolog 7.7.25+dfsg-2
    (Closes: #916952)
  * Add pkg.ppl.no-swi-prolog profile to replace deprecated DEB_STAGE=stage1
  * Use dh sequencer and drop inter-package /usr/share/doc symlinks
  * Run wrap-and-sort -a
  * Bump Standards-Version to 4.3.0; no changes needed
  * debian/control:
    - Recommend libgmp-dev rather than transitional libgmp3-dev
      (Closes: #849319)
    - Build-Depend on unversioned libncurses-dev and drop libncursesw5-dev
    - Add Rules-Requires-Root: no
  * debian/rules: Enable SWI-Prolog interface on arm64; hopefully improved since 2013
  * debian/watch: Point to updated download location

 -- James Clarke <jrtc27@debian.org>  Thu, 17 Jan 2019 23:43:15 +0000

ppl (1:1.2-3) unstable; urgency=medium

  * Team upload.
  * Fix LaTeX build
    Closes: #897098
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 22:55:50 +0200

ppl (1:1.2-2) unstable; urgency=medium

  * Team upload.
  * Bug fix: replace build-dep on texlive-math-extra with texlive-science,
    thanks to Adrian Bunk (Closes: #867100).

 -- David Bremner <bremner@debian.org>  Wed, 12 Jul 2017 17:54:54 -0300

ppl (1:1.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload
  * Move package to Debian Science team Git
  * cme fix dpkg-control
  * Remove libppl6 breaks
  * debhelper 9

  [ Tobias Hansen ]
  * New upstream version. (Closes: #811825, #818957)
  * Fix build-indep target (Closes: #806865)
  * Rename package libppl13v5 -> libppl14, new soname.
  * Remove patches that were applied upstream:
    - 0001-Warnings-avoided.patch
    - 0002-Adapted-to-SWI-Prolog-version-7.x.patch
    - doxygen-update.diff
    - latex-header.diff
  * Do not use the fixdebugpath flag from dpkg-buildflags,
    which breaks the build.
  * Add myself to uploaders.

 -- Tobias Hansen <thansen@debian.org>  Sat, 12 Nov 2016 16:47:39 +0000

ppl (1:1.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore the libppl-doc and libppl-swi packages, not built by mistake
    in the previous upload.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Dec 2015 22:04:46 +0100

ppl (1:1.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with with swi-prolog 7.x (Roberto Bagnara).
    Closes: #787486.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2015 22:04:41 +0100

ppl (1:1.1-7) unstable; urgency=medium

  * Rename C++ library package for the libstdc++ v5 transition. Thanks Simon
    McVittie for providing the necessary patch and chasing all this up.
    Closes: #799641.
  * Run gzip with -n to enable reproducible builds

 -- Michael Tautschnig <mt@debian.org>  Mon, 21 Sep 2015 12:27:25 +0100

ppl (1:1.1-6) unstable; urgency=low

  * Re-adopting the package. Closes: #791996.
  * libppl-dev.maintscript: Perform the symlink_to_dir migration of
    /usr/share/doc/libppl-dev. The symlink dates back to the package in lenny
    as the libppl-dev package did not exist in squeeze or wheezy.
    Closes: #788455.
  * libppl-dev: Update Breaks+Conflicts to match Replaces+Provides.
  * Thanks Andreas Beckmann <anbe@debian.org> for those two patches.

 -- Michael Tautschnig <mt@debian.org>  Tue, 25 Aug 2015 21:24:30 +0100

ppl (1:1.1-5) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Not used anymore for recent GCC versions.
    See #791996.
  * Build with -fpermissive. Works around a ftbfs.
  * Ignore test results; the prolog tests currently fail with swi-prolog 7.2.
    Addresses: #787486.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2015 15:00:43 +0200

ppl (1:1.1-4) unstable; urgency=medium

  * Fix build with doxygen 1.8.9.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Apr 2015 16:10:11 +0200

ppl (1:1.1-3) unstable; urgency=medium

  * Build using dh-autoreconf instead of autotools-dev. Closes: #755959.
  * Define our own \+ latex command. Closes: #751355.
  * Fix linking of libppl_tests.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jul 2014 10:55:11 +0200

ppl (1:1.1-2) unstable; urgency=medium

  * Work around GCC PR target/60609 to avoid the build failure
    of the SWI Prolog bindings on armhf.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2014 16:37:04 +0100

ppl (1:1.1-1) unstable; urgency=medium

  * PPL 1.1 release.

 -- Matthias Klose <doko@debian..org>  Mon, 23 Dec 2013 21:46:33 +0100

ppl (1:1.1~pre8-1) experimental; urgency=low

  * ppl snapshot 1.1pre8.
  * Bump libppl soversion.
  * Rename libppl0.12-dev to libppl-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 09 May 2013 13:16:42 +0200

ppl (1:1.0-7) unstable; urgency=low

  * Fix typo in libppl-doc dependencies.
  * Proper fix to build with both gmp 5.0 and 5.1.

 -- Matthias Klose <doko@debian.org>  Thu, 09 May 2013 12:46:30 +0200

ppl (1:1.0-6) unstable; urgency=low

  * Fix build failure with gmp-5.1.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 17:53:04 +0200

ppl (1:1.0-5) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 15:44:07 +0200

ppl (1:1.0-4) experimental; urgency=low

  * Ignore test failures on s390x. No feedback from the Debian porters.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2013 17:21:45 +0100

ppl (1:1.0-3) experimental; urgency=low

  * Bump the epoch (and the release number, because the archive software
    can't handle 1:1.0-2 after an 1.0-2 upload), upload to experimental
    this time.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 22:31:14 +0100

ppl (1.0-2) unstable; urgency=low

  * Fix build failure in testsuite on sparc, s390, s390x.
  * Don't try to build the prolog bindings on arm64 and hurd-i386.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 13:45:12 +0100

ppl (1.0-1) experimental; urgency=low

  * New upstream version. Closes: #680897.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Jan 2013 23:15:02 +0100

ppl (1:0.11.2-9) unstable; urgency=low

  * Bump epoch to overwrite an upload of ppl-1.0 to unstable.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 16:22:27 +0100

ppl (0.11.2-8) unstable; urgency=low

  * Split out a ppl-dev package with the ppl-config binary.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Aug 2012 15:56:30 +0200

ppl (0.11.2-7) unstable; urgency=low

  * Mark libppl0.11-dev as Multi-Arch: same again, and install the header
    files in the multiarch include path.
    Needs a follow-up patch to split out the ppl-config binary.
  * Disable the build of the swi prolog bindings for DEB_STAGE 1 builds.
    Closes: #645003.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Aug 2012 12:49:10 +0200

ppl (0.11.2-6.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Build the test suite with -gstabs rather than -g on powerpc, to avoid
    running out of memory, see Ubuntu bug #941676 (Closes: #683767)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 03 Aug 2012 18:50:55 +0200

ppl (0.11.2-6.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Artur Rona <ari-tczew@tlen.pl> ]
  * debian/control: Add libncursesw5-dev to Build-Depends due to
    missing library, fixes FTBFS. (Closes: #669479)

  [ Nicolas Boulenguez ]
  * Remove usr/bin/ppl_pl from libppl-swi multiarch package (see #670024).
    Document equivalent functionality with the shared library.
  * control: libppl0.11-dev cannot be Multi-Arch: same because it contains
    arch-dependent headers (see #670025).
  * avoid_obsolete_installdox.patch: backport part of an upstream commit.
    Doxygen 1.8 does not use installdox anymore. (Closes: #680896)

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Tue, 17 Jul 2012 23:26:41 +0200

ppl (0.11.2-6) unstable; urgency=low

  * Build-depend on libncurses5-dev, until swi-prolog-nox depends on it.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Oct 2011 12:14:46 +0200

ppl (0.11.2-5) unstable; urgency=low

  * Install into multiarch locations.
  * Use dpkg-buildflags to set CFLAGS/LDFLAGS.
  * Move changes into patch file. Closes: #643253.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Oct 2011 18:45:44 +0200

ppl (0.11.2-4) unstable; urgency=low
   
  * Patch away unused variables. Closes: #625417.
  * Don't ship libppl_swiprolog.la. Closes: #633365.

 -- Michael Tautschnig <mt@debian.org>  Sun, 10 Jul 2011 12:05:38 +0200

ppl (0.11.2-3) unstable; urgency=low
   
  * Build-depends-indep: re-added texlive-math-extra. Closes: #618148.

 -- Michael Tautschnig <mt@debian.org>  Mon, 14 Mar 2011 19:57:06 +0100

ppl (0.11.2-2) unstable; urgency=low
   
  * Build-depends libgmp-dev instead of libgmp3-dev.

 -- Michael Tautschnig <mt@debian.org>  Tue, 08 Mar 2011 01:14:00 +0100

ppl (0.11.2-1) unstable; urgency=low
   
  * New upstream version.
  * Upload to unstable.
  * Build-depend on doxygen-latex instead of latex-xcolor and texlive-* stuff.
    Closes: #616275.
  * Refined watch file pattern.

 -- Michael Tautschnig <mt@debian.org>  Thu, 03 Mar 2011 12:50:57 +0100

ppl (0.11-3) experimental; urgency=low
   
  * Build-depend on latex-xcolor. Closes: #606277,#606233.
  * libppl0.11-dev: Conflicts with libppl0.10-dev. Closes: #608454.
  * Thanks Matthias Klose for doing all the work.

 -- Michael Tautschnig <mt@debian.org>  Wed, 19 Jan 2011 21:55:49 +0100

ppl (0.11-2) experimental; urgency=low
   
  * Again disable 2 Prolog tests as there is some failure on PowerPC only that
    I'm unable to debug (see also 0.10.2-5).

 -- Michael Tautschnig <mt@debian.org>  Sun, 07 Nov 2010 19:39:32 +0100

ppl (0.11-1) experimental; urgency=low

  * New upstream release.
    - Dropped all patches as these issues have been fixed upstream.
    - Re-enabled Prolog interface on m68k as swi-prolog is now handled more
      flexibly by upstream.
    - SONAME bumps: libppl7 -> libppl9, libppl-c2 -> libppl-c4, libpwl4 ->
      libpwl5
  * Use release directories in watch file for better reliablity (upstream
    hasn't updated LATEST link).

 -- Michael Tautschnig <mt@debian.org>  Sun, 31 Oct 2010 13:41:36 +0100

ppl (0.10.2-9) unstable; urgency=low

  * m68k hasn't fully caught up yet, don't build PPL Prolog interface on m68k.
    Closes: #601445.
  * Re-enabled Prolog interface on kfreebsd-* as swi-prolog is now available.

 -- Michael Tautschnig <mt@debian.org>  Tue, 26 Oct 2010 14:18:12 +0200

ppl (0.10.2-8) unstable; urgency=low

  * Ignore testsuite failures on armel as these seem to be caused by
    miscompilation, see #593324.
  * No more swi-prolog on mips, don't build PPL Prolog interface on mips.
    Closes: #593393.

 -- Michael Tautschnig <mt@debian.org>  Mon, 06 Sep 2010 12:31:59 +0200

ppl (0.10.2-7) unstable; urgency=low

  * Drop xpdf-utils from build depends to fix FTBFS. Closes: #591155.
  * Bumped Standars-Version to 3.9.1 (no changes).
  * Specifically require automake1.10 as we modify some Makefile.am.
  * swi-prolog now ships executable linker as swipl-ld.

 -- Michael Tautschnig <mt@debian.org>  Sun, 01 Aug 2010 12:22:05 +0200

ppl (0.10.2-6) unstable; urgency=low

  * Another bugfix to work around incomplete signal handling on hurd.

 -- Michael Tautschnig <mt@debian.org>  Tue, 02 Mar 2010 16:08:49 +0100

ppl (0.10.2-5) unstable; urgency=low

  * Dropped versioned build dep on libgmp3-dev as even etch has a sufficiently
    new version.
  * Dropped build dep on quilt.
  * Added upstream patches to work around incomplete signal handling on hurd.
  * Disable 2 Prolog tests as there is some failure on PowerPC only that I'm
    unable to debug. Closes: #570387.

 -- Michael Tautschnig <mt@debian.org>  Sun, 28 Feb 2010 10:35:31 +0100

ppl (0.10.2-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format, removed quilt-related code from
    debian/rules.
  * Bumped Standars-Version to 3.8.4 (no changes).
  * Added ${misc:Depends} as we are using debhelper.
  * Build SWI-Prolog bindings on linux architectures only as swi-prolog is not
    available on others.

 -- Michael Tautschnig <mt@debian.org>  Wed, 03 Feb 2010 00:11:22 +0100

ppl (0.10.2-3) unstable; urgency=low

  * Bumped Standars-Version to 3.8.3 (no changes).
  * Added README.source.
  * Added current upstream patches for 0.10.2.
  * Don't watch snapshots, only do stable releases.
  * Added SWI-Prolog bindings (new package libppl-swi, thanks Israel Herraiz
    <isra@herraiz.org>). Closes: #540083.

 -- Michael Tautschnig <mt@debian.org>  Fri, 16 Oct 2009 12:33:08 +0200

ppl (0.10.2-2) unstable; urgency=low

  * debian/rules: Use findstring instead of filter. This should really run
    the testsuite with -k on alpha.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 24 May 2009 07:49:26 +0000

ppl (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends-Indep on xpdf-utils | poppler-utils instead of xpdf-utils.
  * Run the testsuite with -k, and never fail the build in case of regressions
    on alpha. (this will change when graphite will be used by default in GCC).
  * debian/patches/exception_tests_alpha: Remove.

 -- Arthur Loiret <aloiret@debian.org>  Mon, 11 May 2009 22:08:57 +0000

ppl (0.10.1~pre13-1) unstable; urgency=medium

  * New upstream snapshot.
    - Dropped patch for bigendian issues.
  * urgency=medium because of FTBFS workaround.
  * Disabled more tests on alpha - exception handling is utterly broken on
    alpha, which will also affect users of PPL on that architecture (probably
    GCC PR 8966) as raised exception cause immediate aborts.
  * Re-enabled Build-Depends-Indep and adapted rules accordingly.
    Closes: #517659.
  * Bumped Standars-Version to 3.8.1 (no changes).
  * Updated copyright information for several files that had been added in
    0.10 and also have a specific license.
  * Added comments to quilt patch (thanks lintian).
  * Added one sentence explaining the difference between libpwl4 und
    libpwl-dev (thanks lintian).
  * Dropped the ChangeLog hackery using symlinks, the ChangeLog is pretty
    small nowadays.
  * Moved pwl.hh to libpwl-dev package.

 -- Michael Tautschnig <mt@debian.org>  Mon, 13 Apr 2009 08:04:52 +0200

ppl (0.10-4) unstable; urgency=medium

  * urgency=medium because of FTBFS workaround.
  * With #229357 still being open, we can't use Build-Depends-Indep the way
    policy suggests. It would have been too beautiful anyway.

 -- Michael Tautschnig <mt@debian.org>  Fri, 20 Feb 2009 10:11:26 +0100

ppl (0.10-3) unstable; urgency=medium

  * urgency=medium because of FTBFS workaround.
  * Exclude test11-test18 of generalizedaffineimage3.cc on alpha because of
    bugs in gcc/exception handling.
  * Moved the dependencies needed for building the documentation to
    Build-Depends-Indep.
  * Introducing quilt to manage patches.

 -- Michael Tautschnig <mt@debian.org>  Tue, 17 Feb 2009 09:10:34 +0100

ppl (0.10-2) unstable; urgency=high

  * urgency=high because of RC bug fix.
  * Check snapshots and releases for newer versions.
  * Proper defines on bigendian systems. Closes: #514158.
  * Don't ignore errors while running make check (this would have made visible
    the above bug immediately).

 -- Michael Tautschnig <mt@debian.org>  Wed, 04 Feb 2009 20:42:26 +0100

ppl (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Michael Tautschnig <mt@debian.org>  Wed, 05 Nov 2008 06:54:23 +0000

ppl (0.10~pre34-1) unstable; urgency=low

  [ Arthur Loiret ]
  * New upstream snapshot.
  * Fix build on arm.  Closes: #499746.
  * debian/libp[pw]l-dev.preinst: handle /usr/share/doc/libp[pw]l
    symlink->directory conversion.
  * debian/rules:
    - Disable DH_VERBOSE by default.
    - Some cleanup.
  * debian/Makefile.in: Update from upstream.

  [ Michael Tautschnig ]
  * Added ocaml-nox to build-depends.
  * Bumped libppl-c library version.

 -- Michael Tautschnig <mt@debian.org>  Tue, 07 Oct 2008 22:36:39 +0000

ppl (0.10~pre27-4) unstable; urgency=low

  * debian/rules:
    - Always copy config.sub an config.guess since we Build-Depends on
      autotools-dev.
    - Fix targets to have testsuite runs.
    - Add check to .PHONY.
  * Move ppl_lcdd and ppl_lpsol binaries and manpages from libppl7 to
    libppl-dev, make libppl-dev Replaces libppl7 (<< 0.10~pre27-4).
    Closes: #499832.
  * Make libppl-dev Replaces libppl6, ppl-config binary has moved.
    Closes: #499830.
  * Make libpwl-dev Replaces libpwl3, /usr/bin/libpwl.a has moved.
    Closes: #499937.
  * Only install huge ChangeLog into libppl-dev and libpwl-dev.
    - Don't symlink libppl-dev /usr/share/doc dir to libppl7.
    - Add symlinks for changelog.gz to libppl7, libppl-c0 and libpwl4.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 23 Sep 2008 19:53:51 +0000

ppl (0.10~pre27-3) unstable; urgency=low

  * Properly install ppl-config into libppl-dev package, including man page,
    dont't put it into libppl7, removed ppl_lcdd from -dev, is in libppl7
 
 -- Michael Tautschnig <mt@debian.org>  Thu, 11 Sep 2008 19:15:37 +0000

ppl (0.10~pre27-2) unstable; urgency=low

  * debian/rules: set texmf save_size to 10000 when building the docs
  * debian/control: libppl-dev Provides: libppl-c-dev
  * debian/control: Don't Recommends: graphviz, Suggests: libgmp3-doc, this is
    pointless
 
 -- Michael Tautschnig <mt@debian.org>  Thu, 11 Sep 2008 18:22:09 +0200

ppl (0.10~pre27-1) unstable; urgency=low

  * New upstream snapshot
  * debian/rules: Handle nocheck and parallel=n in DEB_BUILD_OPTIONS.
  * debian/copyright: It is now GPL 3+, not GPL 2+.
  * debian/control: make libppl-dev Depends on libppl-c0
  * debian/control: Set Maintainer to the Debian GCC Maintainers, add
    Michael Tautschnig and Arthur Loiret to Uploaders.
  * debian/rules: Run testsuite.
  * Backport from Ubuntu:
    - debian/control: Fix typos in short descriptions.
  * libpwl-dev is now separated from libpwl4
  * Added lintian override to silence warnings about empty files
 
 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Sep 2008 21:56:34 +0000

ppl (0.9-5) unstable; urgency=low

   * Added build-dep on texlive-extra-utils. Thanks Hilmar.
   * Cleanup config.guess,config.sub as suggested in autotools-dev bug 482716
   * Bumped standards version to 3.8.0 (no changes)

 -- Michael Tautschnig <mt@debian.org>  Fri, 04 Jul 2008 07:40:34 +0000

ppl (0.9-4) unstable; urgency=low

   * Added build-dep on texlive-fonts-recommended to fix FTBFS

 -- Michael Tautschnig <mt@debian.org>  Fri, 04 Jul 2008 07:40:34 +0000

ppl (0.9-3) unstable; urgency=low

   * Added build-dep on texlive-latex-recommended to have a4.sty
   * Removed bashism in debian/rules

 -- Michael Tautschnig <mt@debian.org>  Fri, 04 Jul 2008 00:16:35 +0000

ppl (0.9-2) unstable; urgency=low

   * Added libppl-doc package
   * Removed build-depends on obsolete packages
   * Proper copyright file to include the special license used in some header
     files

 -- Michael Tautschnig <mt@debian.org>  Sun, 22 Jun 2008 02:09:30 +0200

ppl (0.9-1) unstable; urgency=low

   * Initial upload (closes: #409786)

 -- Michael Tautschnig <mt@debian.org>  Wed, 04 Jun 2008 19:08:00 +0000
